/* 
 * File:   fileio_driver.h
 * Author: JF
 *
 * Created on May 19, 2017, 10:43 AM
 */

#ifndef FILEIO_DRIVER_H
#define	FILEIO_DRIVER_H
#include <stdbool.h>
#include "fileio_media.h"

void FILEIO_DRIVER_IOInitialize(int VolumeID);
bool FILEIO_DRIVER_MediaDetect(int VolumeID);
FILEIO_MEDIA_INFORMATION * FILEIO_DRIVER_MediaInitialize(int VolumeID);
bool FILEIO_DRIVER_MediaDeinitialize(int VolumeID);
bool FILEIO_DRIVER_SectorRead(int VolumeID, uint32_t sector_addr, uint8_t* buffer);
uint8_t FILEIO_DRIVER_SectorWrite(int VolumeID, uint32_t sector_addr, uint8_t* buffer, bool allowWriteToZero);
bool FILEIO_DRIVER_WriteProtectStateGet(int VolumeID);

#endif	/* FILEIO_DRIVER_H */

